summaryrefslogtreecommitdiff
path: root/media-tv/sopcast-player
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /media-tv/sopcast-player
Added ebuilds for kogaion desktop
Diffstat (limited to 'media-tv/sopcast-player')
-rw-r--r--media-tv/sopcast-player/Manifest2
-rw-r--r--media-tv/sopcast-player/sopcast-player-0.8.5.ebuild40
2 files changed, 42 insertions, 0 deletions
diff --git a/media-tv/sopcast-player/Manifest b/media-tv/sopcast-player/Manifest
new file mode 100644
index 00000000..8a2effbb
--- /dev/null
+++ b/media-tv/sopcast-player/Manifest
@@ -0,0 +1,2 @@
+DIST sopcast-player-0.8.5.tar.gz 406992 SHA256 a7205b0104073362eec37bb865161dbe0e8d997718ae45710e19093fda8dd50a SHA512 956eb93705366daca9e10ad14c0dec0586df402ebe4d0787666cb85901c798b8029ec8ff09ec908d14439a819c600c59589f6f6346287dc959161f09a79c3c68 WHIRLPOOL 69df619d8891cafb6571d54a2e712e5e8aa9a3587d3585b052f399cbcebd90954fe7c759bfc00559f43e1abea76a6ecb9ab2e71a556da6409be99afd119d93a8
+EBUILD sopcast-player-0.8.5.ebuild 902 SHA256 748dd974a8833b92eda8226416a23d64548a319d5e8ef64afaee5fe75babe0df SHA512 23b087cb3006cf625a712d372194d60b9c3f2698b886c6bccee79c7a135ee62224b2a0b8a3ecddd2d0b635a85fd217fac609629281f29fb9623c1d6b344977f0 WHIRLPOOL bc4e7f422569a5cc740ba4fc30f391034286a3873e61108e6594262e148b35c4db81cb159926d719c549bf4e41bf8590e35959df867d980b05f5ffd3bff6a0d7
diff --git a/media-tv/sopcast-player/sopcast-player-0.8.5.ebuild b/media-tv/sopcast-player/sopcast-player-0.8.5.ebuild
new file mode 100644
index 00000000..4afbf688
--- /dev/null
+++ b/media-tv/sopcast-player/sopcast-player-0.8.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+DESCRIPTION="A GTK+ front-end for the SopCast P2P TV player."
+HOMEPAGE="http://www.sopcast.com/"
+SRC_URI="https://sopcast-player.googlecode.com/files/sopcast-player-0.8.5.tar.gz"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-util/debhelper
+ sys-devel/gettext
+ dev-lang/python
+ dev-python/pygtk
+ dev-python/pygobject
+ dev-python/setuptools
+ dev-util/desktop-file-utils
+ x11-themes/hicolor-icon-theme
+ dev-util/wxglade
+ dev-python/pygtk
+ dev-python/pyglet
+ dev-python/pyvlc
+ sys-libs/libstdc++-v3
+ virtual/libstdc++
+ media-video/vlc"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_install() {
+ exeinto /opt/${PN}
+ newexe sopcast-player ${PN} || die "newexe failed"
+ dosym /opt/${PN}/${PN} /usr/bin/${PN}
+ dodoc Readme || die "dodoc failed"
+}